CREATE TABLE doo_attributes_tl (
    ATTRIBUTE_ID             NUMBER(18, 0) ,
    DESCRIPTION              VARCHAR2(4000),
    ATTRIBUTE_LABEL_LONG     VARCHAR2(320) ,
    ATTRIBUTE_LABEL_SHORT    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    NAME                     VARCHAR2(960) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ATTRIBUTE_ID             NUMBER(18, 0) ,
    DESCRIPTION              VARCHAR2(4000),
    ATTRIBUTE_LABEL_LONG     VARCHAR2(320) ,
    ATTRIBUTE_LABEL_SHORT    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    NAME                     VARCHAR2(960) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_doo_attributes_tl PRIMARY KEY (ATTRIBUTE_ID, LANGUAGE, ATTRIBUTE_ID, LANGUAGE)
);
